#include<bits/stdc++.h>

using namespace std;

int main() {

long long t;cin>>t;
vector<long long>ress(t);
for(long long g=0;g<t;g++){
	long long n;
cin>>n;
	vector<long long>br(0);

for(long long i=1;i<n+1;i++){
	long long ib=1;
	long long f=i;
while(f>1){
	
	long long c=f%10;
	f/=10;
	ib*=c;
	
}
br.push_back(ib);	
}
long long res=n;
sort(br.begin(),br.end());
//cout<<br.size();
for(long long a=1;a<br.size();a++){
if(br[a-1]==br[a])res--;	
//	cout<<br[a]<<" ";
	
}
ress[g]=res;	
	
}


for(int j=0;j<t;j++){
	cout<<ress[j]<<endl;
}

}